=== debian/changelog ===
clawsker (1.3.7-2) unstable; urgency=medium

  * Fix FTBFS after successful build (Closes: #1043656)
  * Set Standards-Version to 4.6.2 with no other changes

 -- Ricardo Mones <mones@debian.org>  Sun, 20 Aug 2023 19:26:48 +0200

clawsker (1.3.7-1) unstable; urgency=medium

  * New upstream version 1.3.7
  * Set Stantards-Version to 4.6.1, no other changes
  * Add patch to hide desktop file from AppStream
  * Override lintian warning: debian-changelog-file-is-a-symlink

 -- Ricardo Mones <mones@debian.org>  Sun, 13 Nov 2022 22:00:07 +0100
