=== debian/control ===
Source: clawsker
Section: mail
Priority: optional
Maintainer: Ricardo Mones <mones@debian.org>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: perl, libgtk3-perl, liblocale-gettext-perl,
 libfile-which-perl, libtest-exception-perl, libtest-needsdisplay-perl,
 xauth, xvfb
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://www.claws-mail.org/clawsker.php
Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker

Package: clawsker
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, libgtk3-perl,
 liblocale-gettext-perl, libfile-which-perl
Recommends: claws-mail
Enhances: claws-mail
Description: Configuration tweaker for Claws Mail
 Clawsker is an applet to edit the so called Claws Mail hidden preferences.
 .
 Claws Mail is a fast, lightweight and feature-rich MUA with a high number
 of configurable options. To keep the binary small and fast some of these
 preferences which not widely used are not provided with a graphical
 interface for inspection and/or modification.
 .
 Users wanting to edit such preferences had to face raw edition of their
 configuration files, now you can do it with a convenient GTK+3 interface
 using Clawsker. In addition to hidden preferences, windows positions
 and/or sizes and keyboard shortcuts can be edited.
