=== debian/changelog ===
clawsker (1.3.8-1) unstable; urgency=medium

  * New upstream version
  * Update Build-Depends-Indep for new test requirements
  * Update years in copyright

 -- Ricardo Mones <mones@debian.org>  Sat, 23 Dec 2023 14:48:35 +0100
