=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl, libgtk3-perl, liblocale-gettext-perl,
  libfile-which-perl, libtest-exception-perl, libtest-needsdisplay-perl,
- xauth, xvfb
+ libtest-output-perl, xauth, xvfb
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Homepage: https://www.claws-mail.org/clawsker.php
