=== debian/changelog ===
clawsker (1.4.0-1) unstable; urgency=medium

  * New upstream version
  * Update Build-Depends-Indep with new tests requirements
  * Update package description with new features
  * Update Standards-Version to 4.7.0 with no other changes
  * Update years range in copyright file

 -- Ricardo Mones <mones@debian.org>  Sun, 08 Sep 2024 18:41:02 +0200
