=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Build-Depends: debhelper-compat (= 13)
 Build-Depends-Indep: perl, libgtk3-perl, liblocale-gettext-perl,
  libfile-which-perl, libtest-exception-perl, libtest-needsdisplay-perl,
- libtest-output-perl, xauth, xvfb
+ libtest-output-perl, libtest-perl-critic-perl, xauth, xvfb
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://www.claws-mail.org/clawsker.php
 Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
 Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker
@@ -29,4 +29,5 @@
  Users wanting to edit such preferences had to face raw edition of their
  configuration files, now you can do it with a convenient GTK+3 interface
  using Clawsker. In addition to hidden preferences, windows positions
- and/or sizes and keyboard shortcuts can be edited.
+ and/or sizes, keyboard shortcuts and drop-down selector histories can be
+ edited.
