=== debian/tests/control ===
Tests: cm-version
Depends: @, claws-mail
