## clawsker 1.4.1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker Makefile
-# Copyright 2007-2024 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2025 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -11,7 +11,7 @@
 #
 
 NAME = clawsker
-VERSION ?= 1.4.0
+VERSION ?= 1.4.1
 PREFIX ?= /usr/local
 BINDIR = ${PREFIX}/bin
 DATADIR = ${PREFIX}/share
