=== po/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #
 # Clawsker po Makefile
-# Copyright 2007-2022 Ricardo Mones <ricardo@mones.org>
+# Copyright 2007-2025 Ricardo Mones <ricardo@mones.org>
 #
 # This program is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -12,14 +12,14 @@
 
 NAME = clawsker
 TITLE = \# Translatable strings for Clawsker
-COPYR = \# Copyright (C) 2007 Ricardo Mones <ricardo@mones.org>
+COPYR = \# Copyright (C) 2007-2025 Ricardo Mones <ricardo@mones.org>
 VERSION ?= $(shell git describe)
 PREFIX ?= /usr/local
 DATADIR = ${PREFIX}/share
 LOCALEDIR = ${DATADIR}/locale
 
 XG_ARGS = --keyword=_ --flag=_:1:pass-java-format -L Perl -w 80 --package-name=${NAME} --package-version=${VERSION} --msgid-bugs-address=ricardo@mones.org --from-code=UTF-8
-LINGUAS = es fr nl pt_BR sv ca tr da zh_TW pt_PT pl ru
+LINGUAS = es fr nl sv ca tr da zh_TW pl ru
 
 all: build
