=== debian/changelog ===
clawsker (1.4.1-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 23 Apr 2025 16:34:46 +0200

clawsker (1.4.1-1) unstable; urgency=medium

  * New upstream version
  * Update Standards-Version to 4.7.2, no other changes

 -- Ricardo Mones <mones@debian.org>  Sun, 13 Apr 2025 20:30:27 +0200

clawsker (1.4.0-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andreas Rönnquist <gusnan@debian.org>  Wed, 11 Sep 2024 13:23:12 +0200

clawsker (1.3.8-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Andreas Rönnquist <gusnan@debian.org>  Sat, 23 Dec 2023 16:11:13 +0100
