=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  libfile-which-perl, libtest-exception-perl, libtest-needsdisplay-perl,
  libtest-output-perl, libtest-perl-critic-perl, xauth, xvfb
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://www.claws-mail.org/clawsker.php
 Vcs-Git: https://salsa.debian.org/claws-mail-team/clawsker.git
 Vcs-Browser: https://salsa.debian.org/claws-mail-team/clawsker
